# SublimePraat

[Praat](www.praat.org) scripting language definition for [Sublime Text](https://www.sublimetext.com/)

![Sublime Text Example](SublimePraat.png)

## Features

- comments definition
- indent patterns
- some snippets (if you need even more snippets create your own or despoil [Mauricio Figueroas plugin](https://github.com/mauriciofigueroa/praatSublimeSyntax))
- language definition reflecting the recent scripting syntax (starting with Praat 5.3.63; older syntax versions are more or less supported)
- customized Solarized Light theme
- build system

Using the build system, you can launch Praat scripts from within Sublime Text (cmd-B / ctrl-B), i.e. you don’t need the built-in Praat script editor to run scripts. Exceptions:

1. Of course, command history is only available in the Praat script editor.
2. `form..endform` doesn’t work from Sublime Text (but `beginPause..endPause` does).

Older versions of the build system relied on **sendpraat**, a command line utility which is available for Linux, OS X, and Windows from the Praat homepage: [www.fon.hum.uva.nl/praat/sendpraat.html](http://www.fon.hum.uva.nl/praat/sendpraat.html). Possibly, you need to adapt the path to the sendpraat utility; navigate to the plugin directory, then

- Mac/Linux: edit runPraatScript.sh
- Windows: edit runPraatScript.bat

The current version uses a Praat command line option introduced in Praat 6.2.05; sendpraat is only required if you want to use the build system with older Praat versions.

## Installation

Move the unziped plugin folder to the Packages folder of your SublimeText configuration. 


## License

This is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
